TreeAdaptorRowKeyConverter (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.converter.TreeAdaptorRowKeyConverter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.converter
Class TreeAdaptorRowKeyConverter

    java.lang.Object
      org.richfaces.converter.BaseTreeConverter
          org.richfaces.converter.TreeAdaptorRowKeyConverter

All Implemented Interfaces:
  javax.faces.convert.Converter

Direct Known Subclasses:
  TreeAdaptorIntegerRowKeyConverter

    public class TreeAdaptorRowKeyConverter

extends BaseTreeConverter

Field Summary
`static java.lang.String` | `CONVERTER_ID`

Constructor Summary
`TreeAdaptorRowKeyConverter()`

Method Summary
`protected java.lang.String` | `convertModelKeyToString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String modelId, java.lang.Object value)`
`protected java.lang.Object` | `convertStringToModelKey(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String modelId, java.lang.String value)`
`java.lang.Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String value)`
`java.lang.String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`

Methods inherited from class org.richfaces.converter.BaseTreeConverter
`appendToKeyString, splitKeyString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTER_ID

    public static final java.lang.String CONVERTER_ID

See Also:
  Constant Field Values

Constructor Detail

### TreeAdaptorRowKeyConverter

    public TreeAdaptorRowKeyConverter()

Method Detail

### convertStringToModelKey

    protected java.lang.Object convertStringToModelKey(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component,
                                                       java.lang.String modelId,
                                                       java.lang.String value)

### convertModelKeyToString

    protected java.lang.String convertModelKeyToString(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component,
                                                       java.lang.String modelId,
                                                       java.lang.Object value)

### getAsObject

    public java.lang.Object getAsObject(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.String value)

### getAsString

    public java.lang.String getAsString(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.